#include <stdio.h>

#include "reader.h"
#include "parser.h"
#include "machine.h"

typedef struct CompileObj {

   // flags
   int pdb;                // parser debug?
   int mdb_dump;           // machine inst dump?
   int mdb_ss;             // machine single step?
   int m_run;              // machine interpreter?
   int no68k;              // don't generate 68k code?
   int nocomp;             // don't compile 68k code?

   // strings/names
   char asmstring[256];    // string used to invoke compiler
   char srcname[256];      // output .s file
   char fname[256];        // input .logla file

};

