#ifndef CLASS_READER
#define CLASS_READER

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <string.h>
#include <fctype.h>


class Reader {
   char *_readp;
   char *_readmax;
   int _readnewline;
   char _readlastsym[80];
   char *_baseptr;

   int _currline;
   int _depth;

   char *fptr;
   int fsize;

   public:

   Reader( void );
   ~Reader();

   int LoadFile( char *fname );

   void In( void );
   void Out( void );
   void ViewMsg( char *txt );

   void ViewErr( char *txt );

   int IsKeyWord( char *word );
   char *LastSym( void );
   int NextSym( void );


};
#endif

