/****
 * Name: decl.cpp
 *
 * Details:
 * Called mainly by the parser.
 * The objects keeps track of all allocations like procs and vars.
 *
 * Bugs:
 ****/

#include <stdio.h>
#include <string.h>

#include "decl.h"

Decl::Decl( char *ename, int etype, int enr, int ebllevel )
{
   strcpy( name, ename );
   type = etype;
   nr = enr;
   bllevel = ebllevel;
   next = NULL;

}

Decl *Decl::FindName( char *id )
{

   Decl *tmp;

   tmp = this;

   while( tmp ) {
      if( !strcmp( tmp->name, id ) ) break;
      tmp = tmp->next;
   }

   return tmp;

}


