#ifndef CLASS_INSTBASE
#define CLASS_INSTBASE

#include <stdio.h>

#define OFF_DynamicLink 0
#define OFF_StaticLink  1
#define OFF_RetAddr     2

// Base instruction class to avoid circular dependencies
// This is way more convenient than in Simula.. :-)

class Inst {

   public:

   virtual int Execute( void ) = 0;
   virtual int GenCode( FILE *outf ) = 0;
   virtual void Dump( void ) = 0;

};

#endif

